Package org.bukkit.configuration

# Class InvalidConfigurationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bukkit.configuration.InvalidConfigurationException

All Implemented Interfaces:
  `Serializable`

public class InvalidConfigurationException extends Exception
Exception thrown when attempting to load an invalid `Configuration`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidConfigurationException()`
Creates a new instance of InvalidConfigurationException without a message or cause.
`InvalidConfigurationException(String msg)`
Constructs an instance of InvalidConfigurationException with the specified message.
`InvalidConfigurationException(String msg, Throwable cause)`
Constructs an instance of InvalidConfigurationException with the specified message and cause.
`InvalidConfigurationException(Throwable cause)`
Constructs an instance of InvalidConfigurationException with the specified cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidConfigurationException

public InvalidConfigurationException()
Creates a new instance of InvalidConfigurationException without a message or cause.

### InvalidConfigurationException

public InvalidConfigurationException(String msg)
Constructs an instance of InvalidConfigurationException with the specified message.

Parameters:
  `msg` - The details of the exception.

### InvalidConfigurationException

public InvalidConfigurationException(Throwable cause)
Constructs an instance of InvalidConfigurationException with the specified cause.

Parameters:
  `cause` - The cause of the exception.

### InvalidConfigurationException

public InvalidConfigurationException(String msg, Throwable cause)
Constructs an instance of InvalidConfigurationException with the specified message and cause.

Parameters:
  `cause` - The cause of the exception.
  `msg` - The details of the exception.